## 6.6. BitBake Command Line

Following is the BitBake help output:

    $ bitbake --help
    Usage: bitbake [options] [package ...]

    Executes the specified task (default is 'build') for a given set of BitBake files.
    It expects that BBFILES is defined, which is a space separated list of files to
    be executed.  BBFILES does support wildcards.
    Default BBFILES are the .bb files in the current directory.

    Options:
      --version             show program's version number and exit
      -h, --help            show this help message and exit
      -b BUILDFILE, --buildfile=BUILDFILE
                            execute the task against this .bb file, rather than a
                            package from BBFILES. Does not handle any
                            dependencies.
      -k, --continue        continue as much as possible after an error. While the
                            target that failed, and those that depend on it,
                            cannot be remade, the other dependencies of these
                            targets can be processed all the same.
      -a, --tryaltconfigs   continue with builds by trying to use alternative
                            providers where possible.
      -f, --force           force run of specified cmd, regardless of stamp status
      -c CMD, --cmd=CMD     Specify task to execute. Note that this only executes
                            the specified task for the providee and the packages
                            it depends on, i.e. 'compile' does not implicitly call
                            stage for the dependencies (IOW: use only if you know
                            what you are doing). Depending on the base.bbclass a
                            listtasks tasks is defined and will show available
                            tasks
      -r PREFILE, --read=PREFILE
                            read the specified file before bitbake.conf
      -R POSTFILE, --postread=POSTFILE
                            read the specified file after bitbake.conf
      -v, --verbose         output more chit-chat to the terminal
      -D, --debug           Increase the debug level. You can specify this more
                            than once.
      -n, --dry-run         don't execute, just go through the motions
      -S, --dump-signatures
                            don't execute, just dump out the signature
                            construction information
      -p, --parse-only      quit after parsing the BB files (developers only)
      -s, --show-versions   show current and preferred versions of all packages
      -e, --environment     show the global or per-package environment (this is
                            what used to be bbread)
      -g, --graphviz        emit the dependency trees of the specified packages in
                            the dot syntax
      -I EXTRA_ASSUME_PROVIDED, --ignore-deps=EXTRA_ASSUME_PROVIDED
                            Assume these dependencies don't exist and are already
                            provided (equivalent to ASSUME_PROVIDED). Useful to
                            make dependency graphs more appealing
      -l DEBUG_DOMAINS, --log-domains=DEBUG_DOMAINS
                            Show debug logging for the specified logging domains
      -P, --profile         profile the command and print a report
      -u UI, --ui=UI        userinterface to use
      -t SERVERTYPE, --servertype=SERVERTYPE
                            Choose which server to use, none, process or xmlrpc
      --revisions-changed   Set the exit code depending on whether upstream
                            floating revisions have changed or not